Bug 1939865 - GCP PD CSI driver does not have CSIDriver instance
Summary: GCP PD CSI driver does not have CSIDriver instance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Fabio Bertinatto
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks: 1940005
TreeView+ depends on / blocked
 
Reported: 2021-03-17 09:06 UTC by Jan Safranek
Modified: 2021-07-27 22:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:53:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift gcp-pd-csi-driver-operator pull 17 0 None open Bug 1939865: Add CSIDriver object 2021-03-17 09:12:40 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:54:20 UTC

Description Jan Safranek 2021-03-17 09:06:07 UTC
Description of problem:
GCP PD CSI driver operator does not create CSIDriver instance when installing the driver. All our CSI drivers should have one

Version-Release number of selected component (if applicable):
4.7.0

How reproducible:
always

Steps to Reproduce:
1. "oc get csidriver" on GCE

Actual results:
no instances

Expected results:
pd.csi.storage.gke.io is there

Comment 2 Chao Yang 2021-03-18 07:53:05 UTC
oc get csidriver
NAME                    ATTACHREQUIRED   PODINFOONMOUNT   MODES        AGE
pd.csi.storage.gke.io   true             false            Persistent   45m

passed on 4.8.0-0.nightly-2021-03-18-000857

Comment 5 errata-xmlrpc 2021-07-27 22:53:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.